package com.starcharge.wios.export.impl;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.starcharge.wios.dao.entity.Receivednote;
import com.starcharge.wios.dao.entity.Reject;
import com.starcharge.wios.dao.mappers.ReceivednoteMapper;
import com.starcharge.wios.dao.mappers.RejectMapper;
import com.starcharge.wios.export.Export;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 收货管理导出
 * 
 * @author xgl
 * @version [版本号, 2023年11月17日]
 */
@Service
public class ReceiveExport implements Export<Receivednote> {

    @Autowired
    private ReceivednoteMapper receivednoteMapper;
    
    @Override
    public List<Receivednote> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        Receivednote condition = mapper.readValue(json, Receivednote.class);
        List<Receivednote> list = receivednoteMapper.selectReceivedNoteList(condition);
        int no = 1;
        for (Receivednote vo : list) {
            vo.setId(no++);
        }
        return list;
    }
    
}
